begin_code.h File Reference

Go to the source code of this file.

## Macros

#define | SDL_begin_code_h
#define | SDL_DEPRECATED
#define | SDL_UNUSED
#define | SDL_INLINE inline
#define | __inline__ inline
#define | SDL_FORCE_INLINE static SDL_INLINE
#define | SDL_NORETURN
#define | NULL ((void *)0)
#define | SDL_HAS_FALLTHROUGH 0
#define | SDL_FALLTHROUGH do {} while (0) /* fallthrough */

## Macro Definition Documentation

## __inline__

#define __inline__ inline

Definition at line 134 of file begin_code.h.

## NULL

#define NULL ((void *)0)

Definition at line 165 of file begin_code.h.

Referenced by SDL_COMPILE_TIME_ASSERT().

## SDL_begin_code_h

#define SDL_begin_code_h

begin_code.h sets things up for C dynamic library function definitions, static inlined functions, and structures aligned at 4-byte alignment. If you don't like ugly C preprocessor code, don't look at this file. :)

Definition at line 34 of file begin_code.h.

## SDL_DEPRECATED

#define SDL_DEPRECATED

Definition at line 42 of file begin_code.h.

Referenced by SDL_GetRevisionNumber().

## SDL_FALLTHROUGH

#define SDL_FALLTHROUGH do {} while (0) /* fallthrough */

Definition at line 185 of file begin_code.h.

Referenced by SDL_memset4().

## SDL_FORCE_INLINE

#define SDL_FORCE_INLINE static SDL_INLINE

Definition at line 145 of file begin_code.h.

Referenced by SDL_FRectEmpty(), SDL_FRectEquals(), SDL_FRectEqualsEpsilon(), SDL_memcpy4(), SDL_memset4(), SDL_PointInFRect(), SDL_PointInRect(), SDL_RectEmpty(), SDL_RectEquals(), SDL_size_add_overflow(), and SDL_size_mul_overflow().

## SDL_HAS_FALLTHROUGH

#define SDL_HAS_FALLTHROUGH 0

Definition at line 178 of file begin_code.h.

## SDL_INLINE

#define SDL_INLINE inline

Definition at line 132 of file begin_code.h.

## SDL_NORETURN

#define SDL_NORETURN

Definition at line 155 of file begin_code.h.

## SDL_UNUSED

#define SDL_UNUSED

Definition at line 50 of file begin_code.h.